Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_ContentHandler Class Reference

ACEXML_ContentHandler. More...

`#include "ACEXML/common/ContentHandler.h"`

Inheritance diagram for ACEXML_ContentHandler:

[legend]
List of all members.

## Public Methods
virtual void | characters (const ACEXML_Char *ch, int start, int length, ACEXML_Env &xmlenv)=0
virtual void | endDocument (ACEXML_Env &xmlenv)=0
virtual void | endElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Env &xmlenv)=0
virtual void | endPrefixMapping (const ACEXML_Char *prefix, ACEXML_Env &xmlenv)=0
virtual void | ignorableWhitespace (const ACEXML_Char *ch, int start, int length, ACEXML_Env &xmlenv)=0
virtual void | processingInstruction (const ACEXML_Char *target, const ACEXML_Char *data, ACEXML_Env &xmlenv)=0
virtual void | setDocumentLocator (ACEXML_Locator *locator, ACEXML_Env &xmlenv)=0
virtual void | skippedEntity (const ACEXML_Char *name, ACEXML_Env &xmlenv)=0
virtual void | startDocument (ACEXML_Env &xmlenv)=0
virtual void | startElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts, ACEXML_Env &xmlenv)=0
virtual void | startPrefixMapping (const ACEXML_Char *prefix, const ACEXML_Char *uri, ACEXML_Env &xmlenv)=0

## Detailed Description

ACEXML_ContentHandler.

This is the main interface that most SAX applications implement: if the application needs to be informed of basic parsing events, it implements this interface and registers an instance with the SAX parser using the setContentHandler method. The parser uses the instance to report basic document-related events like the start and end of elements and character data.

The order of events in this interface is very important, and mirrors the order of information in the document itself. For example, all of an element's content (character data, processing instructions, and/or subelements) will appear, in order, between the startElement event and the corresponding endElement event.

## Member Function Documentation

virtual void ACEXML_ContentHandler::characters | ( | const ACEXML_Char * | ch,
|  | int | start,
|  | int | length,
|  | ACEXML_Env & | xmlenv
| ) | `[pure virtual]`

| Receive notification of character data. Reimplemented in ACEXML_DefaultHandler, ACEXML_XMLFilterImpl, ACEXML_Print_Handler, and ACEXML_SAXPrint_Handler.

virtual void ACEXML_ContentHandler::endDocument | ( | ACEXML_Env & | xmlenv | ) | `[pure virtual]`

| Receive notification of the end of a document. Reimplemented in ACEXML_DefaultHandler, ACEXML_XMLFilterImpl, ACEXML_Print_Handler, and ACEXML_SAXPrint_Handler.

virtual void ACEXML_ContentHandler::endElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Env & | xmlenv
| ) | `[pure virtual]`

| Receive notification of the end of an element. Reimplemented in ACEXML_DefaultHandler, ACEXML_XMLFilterImpl, ACEXML_Print_Handler, and ACEXML_SAXPrint_Handler.

virtual void ACEXML_ContentHandler::endPrefixMapping | ( | const ACEXML_Char * | prefix,
|  | ACEXML_Env & | xmlenv
| ) | `[pure virtual]`

| End the scope of a prefix-URI mapping. Reimplemented in ACEXML_DefaultHandler, ACEXML_XMLFilterImpl, ACEXML_Print_Handler, and ACEXML_SAXPrint_Handler.

virtual void ACEXML_ContentHandler::ignorableWhitespace | ( | const ACEXML_Char * | ch,
|  | int | start,
|  | int | length,
|  | ACEXML_Env & | xmlenv
| ) | `[pure virtual]`

| Receive notification of ignorable whitespace in element content. Reimplemented in ACEXML_DefaultHandler, ACEXML_XMLFilterImpl, ACEXML_Print_Handler, and ACEXML_SAXPrint_Handler.

virtual void ACEXML_ContentHandler::processingInstruction | ( | const ACEXML_Char * | target,
|  | const ACEXML_Char * | data,
|  | ACEXML_Env & | xmlenv
| ) | `[pure virtual]`

| Receive notification of a processing instruction. Reimplemented in ACEXML_DefaultHandler, ACEXML_XMLFilterImpl, ACEXML_Print_Handler, and ACEXML_SAXPrint_Handler.

virtual void ACEXML_ContentHandler::setDocumentLocator | ( | ACEXML_Locator * | locator,
|  | ACEXML_Env & | xmlenv
| ) | `[pure virtual]`

| Receive an object for locating the origin of SAX document events. Reimplemented in ACEXML_DefaultHandler, ACEXML_XMLFilterImpl, ACEXML_Print_Handler, and ACEXML_SAXPrint_Handler.

virtual void ACEXML_ContentHandler::skippedEntity | ( | const ACEXML_Char * | name,
|  | ACEXML_Env & | xmlenv
| ) | `[pure virtual]`

| Receive notification of a skipped entity. Reimplemented in ACEXML_DefaultHandler, ACEXML_XMLFilterImpl, ACEXML_Print_Handler, and ACEXML_SAXPrint_Handler.

virtual void ACEXML_ContentHandler::startDocument | ( | ACEXML_Env & | xmlenv | ) | `[pure virtual]`

| Receive notification of the beginning of a document. Reimplemented in ACEXML_DefaultHandler, ACEXML_XMLFilterImpl, ACEXML_Print_Handler, and ACEXML_SAXPrint_Handler.

virtual void ACEXML_ContentHandler::startElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes * | atts,
|  | ACEXML_Env & | xmlenv
| ) | `[pure virtual]`

| Receive notification of the beginning of an element. Reimplemented in ACEXML_DefaultHandler, ACEXML_XMLFilterImpl, ACEXML_Print_Handler, and ACEXML_SAXPrint_Handler.

virtual void ACEXML_ContentHandler::startPrefixMapping | ( | const ACEXML_Char * | prefix,
|  | const ACEXML_Char * | uri,
|  | ACEXML_Env & | xmlenv
| ) | `[pure virtual]`

| Begin the scope of a prefix-URI Namespace mapping. Reimplemented in ACEXML_DefaultHandler, ACEXML_XMLFilterImpl, ACEXML_Print_Handler, and ACEXML_SAXPrint_Handler.

The documentation for this class was generated from the following file:

- ContentHandler.h